<?php
// +-----------------------------------------------------------------------+
// | Mod Name : Download_multi                                             |
// | Mod Version : 0.7.1                                                   |
// | Mod Orignal author: Tboris                                            |
// | Mod Second author : Cestlodovic                                       |
// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
// | Mod description :                                                     |
// | Ce module est bas sur le module existant pour le tlchargement,     |
// | cette version permet le tlchargement sur plusieurs pages.           |
// | Mod Addon : PclZip -> http://www.phpconcept.net/pclzip/               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

//--------------------------------------------------------------------- include
define('PHPWG_ROOT_PATH', '../../');
include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
include_once( PHPWG_ROOT_PATH.'modules/download_multi/include/function.inc.php' );

// Contrle avant de traiter les donnes.
if(!isset($_GET['act']))
{
    die('Hacking attempt!');
}

//----------------------------------------------------- template initialization
//
// Start output of page
//
$title = ' Download Multi';
include( PHPWG_ROOT_PATH.'include/page_header.php' );

if (!isset($_GET['act']))
{
    include(PHPWG_ROOT_PATH.'include/menubar.inc.php');  
}
$template->set_filenames( array('download_multi'=>PHPWG_ROOT_PATH.'modules/download_multi/template/index.tpl') );

// Rcupration des variables
@$id_images = $_POST['id_images']; // Identifiant des images slectionns
@$mode = $_POST['mode']; // Type d'image  tlcharger
@$act = $_GET['act']; // Action  effectuer
@$cat = $_GET['cat']; // Catgorie source
@$fic = $_POST['fic']; // Liste des fichiers  supprimer du rpertoire de l'utilisateur

// Si la catgorie est envoy par un formulaire,
// Remplace la premiere valeur
if (!isset($cat))
{
    @$cat = $_POST['cat'];
}

// +-----------------------------------------------------------------------+
// |                                 action                                |
// +-----------------------------------------------------------------------+
switch($act)
{
    case 'add_cart':
        // Lance les contrle avant le traitement des donnes.
        controle($id_images, $user['id'], $cat, $mode, $act);

        // Ajout de la slection dans le panier
        add_cart($id_images, $cat, $mode);
    break;

    case 'visu_cart':
        // Affiche la liste des images dans le panier
        visu_cart($cat);    
    break;
        
    case 'del_cart':
        // Vidage du panier
        // et suppression des fichiers
        del_cart($cat);
    break;

    case 'del_userdir':
        // Suppression des fichiers prsent dans le rpertoire de l'utilisateur
        del_userdir($fic);
    break;    
}

include( PHPWG_ROOT_PATH.'include/page_tail.php' );
?> 
